dbmmanage(1)

NAME
dbmmanage - Create and update user authentication files in DBM format

SYNOPSIS
dbmmanage filename [ command ] [ username ]

DESCRIPTION
dbmmanage is used to create and update the DBM format files used to store usernames and password for basic authentication of HTTP users. Resources available from the httpd Apache web server can be restricted to just the users listed in the files created by dbmmanage. This program can only be used when the usernames are stored in a DBM file. To use a flat-file database see htpasswd.

This manual page only lists the command line arguments. For details of the directives necessary to configure user authentication in httpd see the Apache manual, which is part of the Apache distribution or can be found at http://www.apache.org/.

OPTIONS

filename
    The filename of the DBM format file. Usually without the extension .pag or

command
    This selects the operation to perform:

adduser
    Asks for a password and then adds an entry for username to filename .

check
    Asks for a password and then checks if username is in filename and if it's password matches the specified one.

delete
    Deletes the username entry from filename.

import
    Reads username:password entries (one per line) from STDIN and adds them to filename. The passwords already has to be crypted.

update
    Same as the "adduser" command, except that it makes sure username already exists in filename.

view
    Just displays the complete contents of the DBM file.

username
    The user for which the update operation is performed.

SEE ALSO
httpd(8)